/ spring-context / spring-context.gradle
description = "Spring Context"

apply plugin: "groovy"
apply plugin: "kotlin"

dependencies {
	compile(project(":spring-aop"))
	compile(project(":spring-beans"))
	compile(project(":spring-core"))
	compile(project(":spring-expression"))
	optional(project(":spring-instrument"))
	optional("javax.annotation:javax.annotation-api")
	optional("javax.ejb:javax.ejb-api")
	optional("javax.enterprise.concurrent:javax.enterprise.concurrent-api")
	optional("javax.inject:javax.inject")
	optional("javax.interceptor:javax.interceptor-api")
	optional("javax.money:money-api")
	// TODO: overriding 2.0.1.Final, because of LocalValidatorFactoryBean
	optional("javax.validation:validation-api:1.1.0.Final")
	optional("javax.xml.ws:jaxws-api")
	optional("org.aspectj:aspectjweaver")
	optional("org.codehaus.groovy:groovy")
	optional("org.beanshell:bsh")
	optional("joda-time:joda-time")
	optional("org.hibernate:hibernate-validator:5.4.3.Final")
	optional("org.jetbrains.kotlin:kotlin-reflect")
	optional("org.jetbrains.kotlin:kotlin-stdlib")
	optional("org.reactivestreams:reactive-streams")
	testCompile("io.projectreactor:reactor-core")
	testCompile("org.codehaus.groovy:groovy-jsr223")
	testCompile("org.codehaus.groovy:groovy-test")
	testCompile("org.codehaus.groovy:groovy-xml")
	testCompile("org.apache.commons:commons-pool2")
	testCompile("javax.inject:javax.inject-tck")
	// Substitute for "javax.management:jmxremote_optional:1.0.1_04" which
	// is not available on Maven Central
	testRuntime("org.glassfish.external:opendmk_jmxremote_optional_jar")
	testCompile("org.awaitility:awaitility")
	testRuntime("javax.xml.bind:jaxb-api")
	testRuntime("org.glassfish:javax.el")
	testRuntime("org.javamoney:moneta")
	testRuntime("org.junit.vintage:junit-vintage-engine") // for @Inject TCK
}

Top